org.apache.lucene.index

## Enum RandomPostingsTester.Option

- java.lang.Object
- - java.lang.Enum<RandomPostingsTester.Option>
  - - org.apache.lucene.index.RandomPostingsTester.Option

- All Implemented Interfaces:
    Serializable, Comparable<RandomPostingsTester.Option>
  Enclosing class:
    RandomPostingsTester

      public static enum RandomPostingsTester.Option
      extends Enum<RandomPostingsTester.Option>

  Which features to test.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `LIVE_DOCS`
    `PARTIAL_DOC_CONSUME`
    `PARTIAL_POS_CONSUME`
    `PAYLOADS`
    `REUSE_ENUMS`
    `SKIPPING`
    `TERM_STATE`
    `THREADS`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static RandomPostingsTester.Option` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static RandomPostingsTester.Option[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SKIPPING

          public static final RandomPostingsTester.Option SKIPPING

    - #### REUSE_ENUMS

          public static final RandomPostingsTester.Option REUSE_ENUMS

    - #### LIVE_DOCS

          public static final RandomPostingsTester.Option LIVE_DOCS

    - #### TERM_STATE

          public static final RandomPostingsTester.Option TERM_STATE

    - #### PARTIAL_DOC_CONSUME

          public static final RandomPostingsTester.Option PARTIAL_DOC_CONSUME

    - #### PARTIAL_POS_CONSUME

          public static final RandomPostingsTester.Option PARTIAL_POS_CONSUME

    - #### PAYLOADS

          public static final RandomPostingsTester.Option PAYLOADS

    - #### THREADS

          public static final RandomPostingsTester.Option THREADS

  - ### Method Detail

    - #### values

          public static RandomPostingsTester.Option[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (RandomPostingsTester.Option c : RandomPostingsTester.Option.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static RandomPostingsTester.Option valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2000-2018 Apache Software Foundation. All Rights Reserved.